@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800;900&display=swap');


* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;;
  box-sizing: border-box;
  text-decoration: none;
  line-height: 1.5;
  list-style: none;

}
:root{
  --logo: clamp(1.25rem, 3vw, 1.875rem);
  --nav-icons: clamp(1.5rem, 3vw, 2.125rem);
  --showcase-title: clamp(1.75rem, 4vw, 50px);
  --title: clamp(1.5rem, 3vw, 11.875rem);
  --sub-title: clamp(1.125rem, 2vw, 1.5rem);
  --paragraphs: clamp(1rem, 1vw, 20px);
  --color1:#332885;
}
html{
  scroll-behavior: smooth;
}
/*BACK TO TOP */
#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 3%;
  z-index: 99;
  border: none;
  outline: none;
  background-color: #222222;
  color: white;
  cursor: pointer;
  padding: 10px;
  font-size: 18px;
}

#myBtn i {
  position: relative;
  border: 1 rem solid #222222;
}

#myBtn:hover {
  background-color:var(--color1);
}

/*NAV*/
header {
  background: rgba(255, 255, 255, 1);
  width: 100%;
  height: 70px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 2%;
}

header .logo img {
  height:65px;
  width:65px;
}

header nav ul {
  display: flex;
}

header nav ul li a {
  display: inline-block;
  color: #000;
  padding: 5px 0;
  margin: 0 10px;
  border: 3px solid transparent;
  text-transform: uppercase;
  transition:border-bottom-color 0.2s;
}

header nav ul li a:hover,
header nav ul li a.Contact {
  border-bottom-color:var(--color1);
}

/*DROPDOWN-MENU*/
.toggle-button {
  cursor: pointer;
  display: none;
  color: #222222;
  font-size: 28px;
}
.dropdown-menu{
  display: none;
  position: absolute;
  top: 70px;
  right:0;
  width:100%;
  height:0;
  background-color:rgba(255, 255, 255, 1);
  overflow: hidden;
  z-index: 99;
  transition: height 0.25s;
}
.dropdown-menu li{
  padding: 1rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.dropdown-menu li a {
  color: #222222;
  text-transform: uppercase;
}
.dropdown-menu li a:hover{
  border-bottom: 2px solid;
  border-color:var(--color1);
}
.dropdown-menu.open{
height: max-content;
}

/*Main Showcase*/
.showcase-container {
  width: 100%;
  display: flex;
  position: relative;
}
.showcase-container img{
  width: 100%;
  max-height:300px;
  object-fit:cover;
}
.txt-showcase {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  text-transform: uppercase;
  color: #fff;
  z-index: 1;
  font-size: var(--sub-title);
}
.txt-showcase h2{
  background-color: #000;
  padding:0.5rem;
}

/*CONTACT*/
.contact-container {
  width: 100%;
  padding: 10% 5%;
  display: flex;
  gap: 2%;
}

.google-maps {
  width: 100%;
}

.google-maps iframe {
  width: 100%;
}

.contact-info {
  width:100%;
  background-color: #222222;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5% 0;
}

.contact-info p {
  color: #fff;
  text-transform: uppercase;
}

.contact-info a {
  color: #999997;
  text-transform: uppercase;
}

.contact-info a:hover {
  color: #fff;
  border-bottom: 0.125rem solid;
  border-bottom-color:#fff;
}
/*FORM*/
.form-container{
  display: flex;
  padding: 0 5% 5% 5%;
  
}

form{
  display: flex;
  flex-direction: column;
  background-color: #222222;
  padding: 5%;
  width: 100%;
}
.input{
  display: flex;
  gap: 2%;
}
form input,form textarea{
  width: 100%;
  border: none;
  margin-bottom: 2%;
  padding: 1.2rem;
  outline: none;
  background: #f5f5f5;
  font-size: 1rem;
}

form button{
  padding: 1rem 1.5rem;
  background: #fff;
  color: #000;
  cursor: pointer;
  width: max-content;
}
form button:hover{
  background-color:var(--color1);
  color:#fff;
  border: none;
  outline: none;
}
/*FOOTER*/

footer {
  background-color: #222222;
  padding: 2% 0 0 0;
}

.footer-container {
  width: 100%;
  margin: auto;
  padding: 0 5%;
}

.footer-row {
  display: flex;
  justify-content: space-between;
}

.footer-colums {
  width: 30%;
}

.footer-colums ul li {
  padding: 0.4rem 0;
}

.footer-colums ul li a {
  color: #fff;
  text-transform: uppercase;
}
.footer-colums ul li a:hover {
  border-bottom: 2px solid;
  border-bottom-color: #fff;
}

footer h2 {
  color: #fff;
  text-transform: uppercase;
}

footer p {
  color: #fff;
  text-transform: uppercase;
}


.footer-contact a {
  color: #fff;
  font-size: 20px;
}
footer .footer-number {
  color: #999997;
  font-size: 20px;
  padding-bottom: 1rem;
}

.footer-end {
  padding-top: 4rem;
}

.footer-icons{
  margin-top: 1rem;
}
.footer-icons i {
  color: #fff;
  font-size: 20px;
  border: 1rem solid #000;
}

.footer-icons a {
  margin-right: 0.3rem;
}
/*MEDIA*/
@media screen and (max-width: 1000px) {
  header nav ul li a {
    display: none;
  }
  nav .toggle-button{
    display: block;
  }
  .dropdown-menu{display: block;
  }
}
@media screen and (max-width:760px) {
  .contact-container{
    flex-direction: column;
  }
  .input{
    flex-direction: column;
  }
  /*FOOTER*/

  .footer-row {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
  }

  .footer-colums {
    width: 100%;
    text-align: center;
    padding: 10% 0;
  }

  .container {
    width: 100%;
  }

  .main-text {
    width: 100%;
  }

  .footer-end {
    flex-direction: column-reverse;
  }

  .footer-end p {
    margin-top: 5%;
    margin-right: 0;
  }

  }